package hsmw.jotto5.beleg.data;

/**
 * Beschreibt eine studierende Person.
 */
public class Student extends DataObject {

	private String name;
	private String lastName;

	/**
	 * Konstruktor zum manuellen Erzeugen.
	 *
	 * Der displayName wird aus Vor- und Nachname zusammengesetzt. Beim Ändern der
	 * Namensattribute wird die UID NICHT neu vergeben!
	 * @param uid Die zu vergebende UID
	 * @param name Der Vorname
	 * @param lastName Der Nachname
	 */
	public Student(String uid, String name, String lastName) {
		super(uid, lastName + ", " + name);
		this.name = name;
		this.lastName = lastName;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLastName() {
		return this.lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

}
